# vue-form-making

基于Vue的表单设计器，让表单开发简单而高效

设计器地址：http://tools.xiaoyaoji.cn/form

![](http://tools.xiaoyaoji.cn/images/manual/start-1.gif)

## 特性

* 可视化配置页面
* 提供栅格布局，并采用flex实现对齐
* 一键预览配置的效果
* 一键生成配置json数据
* 一键生成代码，立即可运行
* 提供自定义组件满足用户自定义需求
* 提供远端数据接口，方便用户需要异步获取数据加载
* 提供功能强大的高级组件
* 支持表单验证
* 快速获取表单数据

## 文档

* [开发指南](http://tools.xiaoyaoji.cn/guide/installation.html)
* [组件](http://tools.xiaoyaoji.cn/guide/making-form.html)
* [使用手册](http://tools.xiaoyaoji.cn/manual/start.html)

## 社区资料笔记

* [Vue.Draggable](https://note.youdao.com/share/?id=f525c8897d9d7f6648bc28d59f5d03f4&type=note#/) （by @[jianhunxia](https://github.com/jianhunxia) 提供)

* [jsonEditor、ace和clipboard](https://note.youdao.com/share/?id=4cb3b53c76cb9f5f733f171529f71501&type=note#/) （by @[jianhunxia](https://github.com/jianhunxia) 提供)

## 支持

* 如果你发现了新的 bug，或者有新的 feature request，请新建一个 issue

## 捐赠 

如果觉得还不错，请作者喝杯咖啡吧 ☺

![](http://tools.xiaoyaoji.cn/donation.jpeg)

## 开源协议

[LGPL](https://opensource.org/licenses/LGPL-3.0)

您可以将 vue-form-making 源码用于 LGPL 协议的开源项目中，并保留版权信息；若需要用于商业软件而不开源代码请通过引用方式(npm 或者 cdn)使用。

## 商业许可

如果要将 vue-form-making 源码使用在非开源站点，项目和应用程序中，为保障您的合法权益，需购买[商业授权](http://tools.xiaoyaoji.cn/form/#/price)